/* app specific/non-theme css goes here */

$linkColor: #016691 !default;
$objectBG: #e9e9e9 !default;
$componentBG: #fcfcfc !default;
$viewerPadding: 3% !default;
$componentHighlight: #AD702B !default;
$componentHighlightText: #a46823 !default;
$simpleFile: #214E61 !default;
$complexFile: #AC6F2B !default;
//$objectBG: rgba($simpleFile,0.1) !default;

//----------------------------------------------------------
// COMPLEX OBJECT VIEWER PAGE
//----------------------------------------------------------

// CARTOGRAPHICS
#map-canvas{width: 100%;height: 200px;margin-bottom: 10px;} // height required
#map-canvas img{max-width:none;} // fix for bootstrap conflict
#map-canvas label{width: auto;display:inline;} // fix for bootstrap conflict

// COMPONENTS
.component{display:none;background-color:$componentBG;margin:0 0 3% 0;padding:$viewerPadding;overflow: hidden;border:1px solid darken($objectBG,20%);border-top:none;border-radius:0 0 3px 3px;}
.simple-object{margin:3% 0;padding:$viewerPadding;background-color:darken($objectBG,5%);border-radius: 3px;box-shadow:inset 0 0 5px rgba(0,0,0,0.25);overflow: hidden;}
.simple-object .table th,.simple-object .table td{border-color:rgba($simpleFile,0.25)}
.simple-object .dams-download-button{background-color: rgba($simpleFile,0.15); border-top-color: rgba($simpleFile,0.75)}
.simple-object .dams-download-button .muted{color: rgba($simpleFile,0.5)}
.component .table th,.component .table td{border-color:rgba($complexFile,0.25)}
.component .dams-download-button{background-color: rgba($complexFile,0.15); border-top-color: rgba($complexFile,0.75)}
.component .dams-download-button .muted{color: rgba($complexFile,0.666)}
.component img{width:auto;margin:0 auto 20px auto;display:block;}
.simple-object img{width:auto;margin:0 auto;display:block;}
.component > hgroup > h1{font-size:125%;padding:0;margin:0 0 5px 0;line-height:100%;color: $componentHighlightText;}
.component > hgroup > h2{font-size:100%;padding:0;margin:0 0 5px 0;line-height:100%;color: $componentHighlightText;}
.component > hgroup{margin-bottom: 20px;}
.component .table,.simple-object .table{margin-bottom:0;}
.component .alert,.simple-object .alert{margin-bottom:0;}
.component .table td p,.component .table td ul,.simple-object .table td p,.simple-object .table td ul{margin:0;}
.component .table tr td:first-child,.simple-object .table tr td:first-child{font-weight: bold;}
ul.styled{list-style-type: circle;margin-block-start:0px;margin-block-end:0px;padding:0px 3px;width:540px}
ul.styled li span, ul.styled li a{overflow-wrap: break-word;}

//---
// COMPONENTS PAGER
//---
#le-component{box-shadow: 0 0 5px rgba(0,0,0,0.25);border-radius:3px;}
#component-pager{margin-top:3%;padding:1% 2%;background:lighten($componentHighlight,20%);background: linear-gradient(to right, lighten($componentHighlight,20%) 0%,lighten($componentHighlight,15%) 100%);overflow:hidden;color: #613700;font-size:80%;border:1px solid lighten($componentHighlight,5%);border-radius:3px 3px 0 0;}

//----------------------------------------------------------
// UNITS INDEX PAGE
//----------------------------------------------------------
.dams-search-box h4{margin:0 0 10px 0;line-height:inherit;}
.sidebar-button-list .btn{text-align:left;}
.dams-au{text-align: left;}
.dams-au img{display:inline-block;}

//----------------------------------------------------------
// OBJECT VIEWER PAGE
//----------------------------------------------------------

// Viewer
.dams-viewer{background-color:$objectBG;padding: $viewerPadding $viewerPadding 0 $viewerPadding;border: 1px solid #d9d9d9;border-bottom: none;overflow: hidden;}
.dams-viewer > hgroup > h1{font-size:150%;padding:0;margin:0 0 5px 0;line-height:100%;color:  #00374E;}
.dams-viewer > hgroup > h2{font-size:110%;padding:0;margin:0 0 5px 0;line-height:100%;color: lighten(#00374E,10%);}
.dams-viewer > hgroup{margin-bottom: 0;}
.dams-viewer img{max-width:auto;max-height:400px;}
.letter-link {border: 1px solid #9AAFE5; padding:4px;}
.letter, .letter:hover {text-decoration: none;}
.selected-letter {background-color: #2e6ab1; border: 1px solid #2e6ab1; color: #FFFFFF; font-weight: bold; padding:4px; }
.dams-download-button{margin:0;}
.dams-download-button p{margin: 0;text-align: center;}
.dams-download-button .btn-mini{margin-top:5px;}

// Breadcrumbs
.dams-breadcrumbs .breadcrumb{font-size: 12px;background-color:transparent;padding: 0;}
.dams-breadcrumbs .breadcrumb > li > .divider{padding: 0;}

// Metadata fold
.dams-metadata
{
  margin-bottom:1em;background-color:$objectBG;padding: 0 $viewerPadding $viewerPadding $viewerPadding;border: 1px solid #d9d9d9;border-top: none;

  hr{border-top:1px solid #ddd;margin:0 15%;}
  .btn-link{font-weight:bold;}
  .label,.badge{margin-bottom:3px;}
  dt{color:#965b15;font-size:1.1em;margin:10px 0;font-weight:normal;}
  dt:first-child{margin-top: 0;}
  dd{color: #666;margin-left:0;}
  dd strong{color: #555;}
  dd,dt{line-height: normal;}
  dl,ul{margin-bottom:0;}
  dl{margin-top: 0;}
}

// Metadata label link
.label:hover,.badge:hover{background-color:darken(#999,10%)}
.component
{
  .label{background-color: lighten($complexFile,10%);}
  .label:hover{background-color: $complexFile;}
}

// Document Viewer
.file-thumbnail{width:25%;height:auto;margin:0 auto;}
.file-thumbnail img{margin-bottom: 20px;}

// Masked Objects (Restricted, Sensitive, etc.)
.restricted-notice, .restricted-notice-complex
{
  background:#b1b1b1 url(https://library.ucsd.edu/assets/dams/site/restricted.png) no-repeat center center;
  background-size:150%,150%;
  border-radius: 3px;
  padding:0;
  height:480px;
  margin:3% 0;
  div
  {
    overflow: hidden;
    width:100%;
    border:1px solid #fff;
    border-right:none;
    border-left:none;
    background:#3383A5;
    color:#fff;
    padding:1em;
    -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;
    position: relative;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    h3,p{margin:0;padding:0;line-height:normal;}
    h3{font-size:1em;}
    p{font-size:1em;color:rgba(255,255,255,0.85);}
    p.request{font-size:1em;}
    a{color:#fff;text-decoration: underline;}
    button{margin-top:0.5em;}
  }
}

// restricted object Content
.restricted-obj-thumbnail {border:2px solid #659EC7; width:100px; height:150px;}
#restricted-object {background: none repeat scroll 0 0 #FFFAEE; display: inline-block;font-size: 12px;height: 350px;padding: 15px;width: 390px;vertical-align: middle;padding-top: 50px}

//admin download
.etc-menu
{
  margin-top:3%;
  overflow: hidden;

  a
  {
    display:block;
    color:rgba(0,0,0,0.666);
    margin-left:1em;
    border: 1px solid #999;
    padding: 0px 5px;
    font-size: 0.75em;
    border-radius: 3px;
    &:hover{text-decoration: none;color:rgba(0,0,0,0.8);border-color:rgba(0,0,0,0.8);}
    &:focus{text-decoration: none;outline:0;}
  }

}


.embedCode{font-family:monospace;padding:1em!important;width:100%;box-sizing:border-box;cursor:default!important;}

// AddThis Sharing Menu
.addthis_sharing_toolbox
{
  float:right;
}

// Sidebar
.sidebar-header{border-bottom:1px solid #ddd;padding-bottom:5px;margin:10px 0}

//---
// Components Control
//--
.node-container{display:none;}
.components-tree li{position: relative;}
.node-icon{position:absolute;top: 3px;left: 0;}
.components-tree .btn{margin-left:16px;}
.dams-components-button,.components-tree .btn{text-align:left;}
.components-tree > ul{margin-bottom:0;}
.dams-components-button,.components-tree .btn{color:#333;}
.components-tree .node-file{color:$linkColor;}
.components-tree .node-parent{font-weight:bold;}
.components-tree .btn{padding: 0;}
.components-tree li ul{margin-left:16px;}
.active-component{color: $componentHighlightText !important;font-weight:bold !important;}

//----------------------------------------------------------
// MEDIA QUERIES
//----------------------------------------------------------

// LARGE DESKTOP (BOOTSTRAP)
@media (min-width: 1200px) {}

// DESKTOP TWEEN (CUSTOM)
@media (min-width: 980px) and (max-width:1199px) {}

// DESKTOP (CUSTOM)
@media (min-width: 980px) {}

// PORTRAIT TABLET TO LANDSCAPE AND DESKTOP (BOOTSTRAP)
@media (min-width: 768px) and (max-width: 979px) {}

// MOBILE (CUSTOM)
@media (max-width: 979px) {}

// LANDSCAPE PHONE TO PORTRAIT TABLET (BOOTSTRAP)
@media (max-width: 767px)
{
  .dams-download-button .btn{display:block;float:none;}
  .dams-download-button .visible-phone{margin-top:0.75em;}

  //component pager
  #component-pager nav > button{width:48px !important;}
}

// LANDSCAPE PHONES AND DOWN (BOOTSTRAP)
@media (max-width: 480px)
{
  // OBJECT VIEWER PAGE
  .dams-viewer > hgroup > h1{font-size:125%;}
  .dams-viewer > hgroup > h2{font-size:100%;}
  .dams-metadata{font-size:90%;}

  // UNITS INDEX PAGE
  .search-query-form .btn{width:100%;}

  .restricted-notice
  {
    background-size:100%,100%;
    height:300px;
    div
    {
      padding:0.5em;
      h3{font-size:0.9em;}
      p{font-size:0.8em;}
    }
  }

}
